/*
 * Copyright (C) 2003-2004 Red Hat Inc. All Rights Reserved.
 *
 * The contents of this file are subject to the CCM Public
 * License (the "License"); you may not use this file except in
 * compliance with the License. You may obtain a copy of the
 * License at http://www.redhat.com/licenses/ccmpl.html.
 *
 * Software distributed under the License is distributed on an
 * "AS IS" basis, WITHOUT WARRANTY OF ANY KIND, either express
 * or implied. See the License for the specific language
 * governing rights and limitations under the License.
 *
 */
package com.arsdigita.cms.contenttypes;

import com.arsdigita.cms.ContentType;

import com.arsdigita.db.*;
import com.arsdigita.persistence.pdl.*;
import com.arsdigita.runtime.*;
import com.arsdigita.domain.DomainObject;
import com.arsdigita.domain.DomainObjectFactory;
import com.arsdigita.domain.DomainObjectInstantiator;
import com.arsdigita.persistence.DataObject;
import com.arsdigita.xml.XML;
import com.arsdigita.domain.xml.TraversalHandler;

/**
 * The CMS initializer.
 *
 * @author Justin Ross &lt;jross@redhat.com&gt;
 * @version $Id: //cms/content-types/mparticle/dev/src/com/arsdigita/cms/contenttypes/MultiPartArticleInitializer.java#6 $
 */
public class MultiPartArticleInitializer extends ContentTypeInitializer {
    public final static String versionId =
        "$Id: //cms/content-types/mparticle/dev/src/com/arsdigita/cms/contenttypes/MultiPartArticleInitializer.java#6 $" +
        "$Author: dennis $" +
        "$DateTime: 2004/04/07 16:07:11 $";

    public MultiPartArticleInitializer() {
        super("ccm-cms-types-mparticle.pdl.mf", MultiPartArticle.BASE_DATA_OBJECT_TYPE);
    }


    public String getTraversalXML() {
        return "WEB-INF/traversal-adapters/com/arsdigita/cms/contenttypes/MultiPartArticle.xml";
    }

    public String[] getStylesheets() {
        return new String [] {
            "/static/content-types/com/arsdigita/cms/contenttypes/MultiPartArticle.xsl",
            "/static/content-types/com/arsdigita/cms/contenttypes/ArticleSection.xsl"
        };
    }

}
